import React, { createContext, useContext, useState } from "react";
const initialState = {
  busAndTrainData: [],
  setBusAndTrainData: () => {},
};

const BusAndTrainDataContext = createContext(initialState);

export const useBusAndTrainData = () => {
  return useContext(BusAndTrainDataContext);
};

export const BusAndTrainDataProvider = ({ children }) => {
  const [busAndTrainData, setBusAndTrainData] = useState([]);

  return (
    <BusAndTrainDataContext.Provider
      value={{ busAndTrainData, setBusAndTrainData }}
    >
      {children}
    </BusAndTrainDataContext.Provider>
  );
};
